Class RequestParameter
java.lang.Object
io.vertx.mutiny.ext.web.validation.RequestParameter
- All Implemented Interfaces:
MutinyDelegate
Request parameter holder
NOTE: This class has been automatically generated from the original non Mutiny-ified interface.
- Author:
- Francesco Guardiani @slinkydeveloper
- See Also:
-
RequestParameter
-
Field Summary
Fields -
Constructor Summary
ConstructorsConstructorDescriptionRequestParameter(io.vertx.ext.web.validation.RequestParameter delegate) Create a new instance ofRequestParameterdelegating to the given (non-null) instance ofRequestParameter.RequestParameter(Object delegate) -
Method Summary
Modifier and TypeMethodDescriptionstatic RequestParameterbooleanget()io.vertx.core.buffer.Bufferio.vertx.ext.web.validation.RequestParameterGet the delegate instance.getFloat()io.vertx.core.json.JsonArrayio.vertx.core.json.JsonObjectReturns null if value is not aJsonObject, otherwise it returns valuegetLong()inthashCode()booleanbooleanisBuffer()booleanisEmpty()booleanbooleanbooleanisNull()booleanisNumber()booleanisString()static RequestParameternewInstance(io.vertx.ext.web.validation.RequestParameter delegate) Creates a new instance of theRequestParameter.toString()
-
Field Details
-
__TYPE_ARG
-
-
Constructor Details
-
RequestParameter
public RequestParameter(io.vertx.ext.web.validation.RequestParameter delegate) Create a new instance ofRequestParameterdelegating to the given (non-null) instance ofRequestParameter. -
RequestParameter
-
-
Method Details
-
getDelegate
public io.vertx.ext.web.validation.RequestParameter getDelegate()Get the delegate instance.This method returns the instance on which this shim is delegating the calls. And so, give you access to the bare API.
- Specified by:
getDelegatein interfaceMutinyDelegate- Returns:
- the delegate instance
-
getString
- Returns:
- null if value is not a
String, otherwise it returns value
-
isString
public boolean isString()- Returns:
- true if value of this instance is a
Stringinstance
-
getInteger
-
getLong
-
getFloat
-
getDouble
-
isNumber
public boolean isNumber()- Returns:
- true if value of this instance is a
Numberinstance
-
getBoolean
- Returns:
- null if value is not a
Boolean, otherwise it returns value
-
isBoolean
public boolean isBoolean()- Returns:
- true if value of this instance is a
Booleaninstance
-
getJsonObject
public io.vertx.core.json.JsonObject getJsonObject()Returns null if value is not aJsonObject, otherwise it returns value- Returns:
- . Can be
null.
-
isJsonObject
public boolean isJsonObject()- Returns:
- true if value of this instance is a
JsonObjectinstance
-
getJsonArray
public io.vertx.core.json.JsonArray getJsonArray()- Returns:
- null if value is not a
JsonArray, otherwise it returns value
-
isJsonArray
public boolean isJsonArray()- Returns:
- true if value of this instance is a
JsonArrayinstance
-
getBuffer
public io.vertx.core.buffer.Buffer getBuffer()- Returns:
- null if value is not a
Buffer, otherwise it returns value
-
isBuffer
public boolean isBuffer()- Returns:
- true if value of this instance is a
Bufferinstance
-
isNull
public boolean isNull()- Returns:
- true if value is null
-
isEmpty
public boolean isEmpty()- Returns:
- True if it's an empty string, an empty json object/array, an empty buffer or it's null
-
get
- Returns:
- the internal value. The internal value is always a valid Vert.x JSON type
-
create
-
newInstance
Creates a new instance of theRequestParameter. -
hashCode
public int hashCode() -
equals
-
toString
-